> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Card Permission

> Revoke an active order intent. Once revoked, the underlying card permission credentials can no longer be used for purchases and the order intent transitions to the `revoked` phase. Only order intents currently in the `active` or `requires-verification` phase can be revoked.

**API scope required**: `order-intents.revoke`



## OpenAPI

````yaml delete /unstable/order-intents/{orderIntentId}
openapi: 3.0.0
info:
  title: Crossmint Payments API
  description: Crossmint Payments API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security: []
tags: []
paths:
  /unstable/order-intents/{orderIntentId}:
    delete:
      tags:
        - Order Intents
      summary: Revoke Order Intent
      description: >-
        Revoke an active order intent. Once revoked, the underlying card
        permission credentials can no longer be used for purchases and the order
        intent transitions to the `revoked` phase. Only order intents currently
        in the `active` or `requires-verification` phase can be revoked.


        **API scope required**: `order-intents.revoke`
      operationId: OrderIntentsController-revokeOrderIntent-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: orderIntentId
          required: true
          in: path
          schema:
            type: string
      responses:
        '204':
          description: The order intent has been successfully revoked

````